### Class

# Gimp FileProcedure

#### Description

    abstract class Gimp.FileProcedure : Gimp.Procedure {
      parent_instance: GimpProcedure,
      priv: GimpFileProcedurePrivate*
    }

No description available.

#### Ancestors

- GimpProcedure
- GObject

#### Descendants

- GimpLoadProcedure
- GimpSaveProcedure

#### Instance methods

###### gimp_file_procedure_get_extensions

Returns the procedure’s extensions as set with `gimp_file_procedure_set_extensions()`.

Available since: 3.0

###### gimp_file_procedure_get_format_name

Returns the procedure’s format name, as set with `gimp_file_procedure_set_format_name()`.

Available since: 3.0

###### gimp_file_procedure_get_handles_remote

Returns the procedure’s ‘handles remote’ flags as set with `gimp_file_procedure_set_handles_remote()`.

Available since: 3.0

###### gimp_file_procedure_get_magics

Returns the procedure’s magics as set with `gimp_file_procedure_set_magics()`.

Available since: 3.0

###### gimp_file_procedure_get_mime_types

Returns the procedure’s mime-type as set with `gimp_file_procedure_set_mime_types()`.

Available since: 3.0

###### gimp_file_procedure_get_prefixes

Returns the procedure’s prefixes as set with `gimp_file_procedure_set_prefixes()`.

Available since: 3.0

###### gimp_file_procedure_get_priority

Returns the procedure’s priority as set with `gimp_file_procedure_set_priority()`.

Available since: 3.0

###### gimp_file_procedure_set_extensions

Registers the given list of extensions as something this procedure can handle.

Available since: 3.0

###### gimp_file_procedure_set_format_name

Associates a format name with a file handler procedure.

Available since: 3.0

###### gimp_file_procedure_set_handles_remote

Registers a file procedure as capable of handling arbitrary remote URIs via GIO.

Available since: 3.0

###### gimp_file_procedure_set_magics

Registers the list of magic file information this procedure can handle.

Available since: 3.0

###### gimp_file_procedure_set_mime_types

Associates MIME types with a file handler procedure.

Available since: 3.0

###### gimp_file_procedure_set_prefixes

It should almost never be necessary to register prefixes with file procedures, because most sorts of URIs should be handled by GIO.

Available since: 3.0

###### gimp_file_procedure_set_priority

Sets the priority of a file handler procedure.

Available since: 3.0

##### Methods inherited from GimpProcedure (45)

Please see GimpProcedure for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpProcedure (3)

###### Gimp.Procedure:name

No description available.

###### Gimp.Procedure:plug-in

No description available.

###### Gimp.Procedure:procedure-type

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpFileProcedureClass {
      GimpProcedureClass parent_class;

    }

###### Class members

`parent_class`

    GimpProcedureClass

| No description available.